Name:           quodlibet
Version:        1.0
Release:        4%{?dist}
Summary:        A music management program

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.sacredchao.net/quodlibet
Source0:        http://www.sacredchao.net/~piman/software/quodlibet-%{version}.tar.gz
Source1:        dl-quodlibet-plugins.sh
Source2:        quodlibet-plugins.tar.bz2

# There is no upstream currently, as this plugin is the product of the Quod Libet packager
Source3:        google.py

Source4:        README.fedora
Patch0:         quodlibet-1.0-libgpod-0.5.2.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  pygtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig

%if %{fedora} <= 6
BuildRequires:  python-ctypes
%endif

Requires:       python-mutagen >= 1.8
Requires:       python >= 2.4
Requires:       pygtk2 >= 2.8
Requires:       gstreamer-python >= 0.10
Requires:       gnome-python2-canvas

# For tray icon plugin
Requires:       gnome-python2-libegg

# for Replay Gain plugin
Requires:       vorbisgain

%if %{fedora} >= 6
# for iPod device support
Requires:       python-gpod
%endif

# for CDDB plugin
Requires:       python-CDDB

%description
Quod Libet is a music management program. It provides several different ways
to view your audio library, as well as support for Internet radio and
audio feeds. It has extremely flexible metadata tag editing and searching
capabilities.

Ex Falso is a tag editor with the same tag editing interface as Quod Libet,
but it does not play files.

Supported file formats include Ogg Vorbis, MP3, FLAC, MOD/XM/IT, Musepack,
Wavpack, and MPEG-4 AAC.

%prep
%setup -q
%patch0 -p1 -b .libgpod-0.5.2
cp %{S:4} .

%build

# we don't need _trayicon.so because the python libegg bindings are available
#pushd trayicon
#make trayicon.c
#CFLAGS="%{optflags}" %{__python} setup.py build
#cp build/lib*/trayicon.so ../_trayicon.so
#popd

pushd mmkeys
make mmkeyspy.c
CFLAGS="%{optflags}" %{__python} setup.py build
cp build/lib*/mmkeys.so ../_mmkeys.so
popd

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/quodlibet/

tar xfC %{S:2} %{buildroot}%{_datadir}/quodlibet/

cp %{S:3} %{buildroot}%{_datadir}/quodlibet/plugins/songsmenu

%ifarch x86_64 ppc64
make install PREFIX=/usr TODEP=lib64/quodlibet DESTDIR=%{buildroot}
%else
make install PREFIX=/usr TODEP=lib/quodlibet DESTDIR=%{buildroot}
%endif

rm -f %{buildroot}%{_datadir}/applications/*.desktop
make exfalso.desktop quodlibet.desktop
sed -i 's/;GTK$/&;/' *.desktop
sed -i 's/AudioPlayer/Player/' quodlibet.desktop
desktop-file-install --vendor fedora                            \
        --dir %{buildroot}%{_datadir}/applications              \
        --remove-category Application                           \
        --add-category X-Fedora                                 \
        exfalso.desktop
desktop-file-install --vendor fedora                            \
        --dir %{buildroot}%{_datadir}/applications              \
        --remove-category Application                           \
        --add-category X-Fedora                                 \
        quodlibet.desktop


%{find_lang} quodlibet

%clean
rm -rf %{buildroot}

%files -f quodlibet.lang
%defattr(-,root,root,-)
%doc COPYING HACKING NEWS README README.fedora

%{_bindir}/exfalso
%{_bindir}/quodlibet

%{_libdir}/quodlibet

%{_datadir}/applications/fedora-exfalso.desktop
%{_datadir}/applications/fedora-quodlibet.desktop

%{_datadir}/pixmaps/exfalso.png
%{_datadir}/pixmaps/quodlibet.png

%{_datadir}/quodlibet

%{_mandir}/man1/exfalso.1*
%{_mandir}/man1/quodlibet.1*

%changelog
* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-3
- Autorebuild for GCC 4.3

* Mon Jul 09 2007 Todd Zullinger <tmz@pobox.com> - 1.0-2
- Small fix for changes in python-gpod-0.5.2
- Fix some desktop-file-install warning and errors

* Thu May 10 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.0-1
- Update to 1.0

* Sat Apr 14 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-7
- Add requires on gnome-python2-canvas, fixes #236468

* Sun Mar  4 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-6
- Update plugins

* Mon Jan 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-5
- Build iPod support on FC-6

* Tue Dec 12 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-4
- Require python-CDDB for CDDB plugin
- Conditionalize python-gpod support

* Mon Dec 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-2
- Require python-gpod for iPod device support

* Tue Nov 21 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-1
- Update to 0.24

* Mon Aug 28 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23.1-1
- Update to 0.23.1

* Thu Aug 24 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-5
- Include a README.fedora

* Thu Aug 17 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-4
- Instead of manually copying all of the plugins, pack them into a
  tarball and include a script for generating the tarball

* Wed Aug 16 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-3
- Make sure that %%{_libdir}/quodlibet/ is owned

* Tue Aug 15 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-2
- Convert tabs to spaces.
- Add shell plugin
- Get rid of some shebang lines.
- Add Google search plugin

* Fri Aug 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-1
- First version for Fedora Extras

